> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getflick.co/llms.txt
> Use this file to discover all available pages before exploring further.

# WebHook Resend

> Resinding webhook



## OpenAPI

````yaml /openapi/connect.json post /merchant/resend-webhook
openapi: 3.0.2
info:
  title: Flick Connect API
  description: This is a sample API Document for Flick services
  termsOfService: http://getflick.app/terms-conditions
  contact:
    email: kingsley@getflick.app
  license:
    name: FLICK
    url: http://www.getflick.app
  version: 1.0.17
servers:
  - url: https://flickopenapi.co
    description: For linking your banks to Flick
security:
  - bearerAuth: []
tags:
  - name: Transmit KYB
    description: Bank Linking
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
  - name: Connect API
    description: Bank Linking
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
externalDocs:
  description: Find out more about Flick
  url: https://www.linkedin.com/company/getflick/
paths:
  /merchant/resend-webhook:
    post:
      tags:
        - ''
      summary: WebHook Resend
      description: Resinding webhook
      operationId: 'Checking webhook '
      requestBody:
        description: Webhook resending link
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WebHook'
        required: true
      responses:
        '200':
          description: Webhook Successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebHookResponse'
        '400':
          description: Conflict
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: '400'
                  message:
                    type: string
                    example:
                      example: mismatch transaction
                      example1: Transaction not found
                      example2: >-
                        webhook resend failed, please ensure that the url is
                        online and active
      security:
        - bearerAuth: []
components:
  schemas:
    WebHook:
      required:
        - transactionId
      type: object
      properties:
        transactionId:
          type: string
          example: 2023-10-2021366Z
    WebHookResponse:
      type: object
      properties:
        status:
          type: string
          example: '200'
        message:
          type: string
          example: webhook resend successful
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your live or test secret key, prefixed `sk-`. Send as `Authorization:
        Bearer sk-...`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.